Skip to main content
`Ctrl`+`K`

# PetscFEGetType

Gets the `PetscFEType` (as a string) from the `PetscFE` object.

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEGetType(PetscFE fem, PetscFEType *name)

Not Collective

## Input Parameter

- fem - The `PetscFE`

## Output Parameter

- name - The `PetscFEType` name

## See Also

`PetscFEType`, `PetscFE`, `PetscFESetType()`, `PetscFECreate()`

## Level

intermediate

## Location

src/dm/dt/fe/interface/fe.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages